curl --request POST \
--url https://api.honeycomb.io/1/recipients \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"type": "pagerduty"
}
'import requests
url = "https://api.honeycomb.io/1/recipients"
payload = { "type": "pagerduty" }
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'pagerduty'})
};
fetch('https://api.honeycomb.io/1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "pagerduty",
"id": "yUheCUmgZ8p",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z",
"details": {
"pagerduty_integration_name": "Example PagerDuty Service",
"pagerduty_integration_key": "7zOwh1edS8xHGcwfb2bA4sqY8E6PJzSK"
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}Create a Recipient
Unlike many resources, Recipients are not linked to a specific Environment or Dataset. The Recipient will be created for the Team associated with your API key.
The details fields will vary depending on the type of Recipient. Use the drop-down to view the specific fields for each type value.
Before Slack Recipients can be created, the Slack OAuth flow in the Integration Center must be completed.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Body
Response
Success
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
One of the supported Recipient Types
pagerduty "yUheCUmgZ8p"
ISO8601 formatted time the Recipient was created.
"2022-07-26T22:38:04Z"
ISO8601 formatted time the Recipient was updated.
"2022-07-26T22:38:04Z"
Specific schema for the Pagerduty Recipient Type
Show child attributes
Show child attributes